
Redmine - Defect #4618

Adding an Attachment to an Issue of the Same Name as Another Attachment Overwrites

2010-01-20 22:51 - Chris Haverman

Status: Closed Start date: 2010-01-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.8.5

Description

Steps taken that produce this behavior,

1. An issue has an attachment made to it (usually in my case, a screenshot)

2. Another attachment is made, with the same filename as the one from above.

At this point, the new image replaces the other one, and references to it now point to the new one.  What I'd want to see is that the

new attachment gets renamed so that it doesn't displace the old one.

Extra information:

database: MySQL 5.0.75

ruby: 1.8.7

rails: 2.3.4

redmine: 0.8.5 (I know I upgraded to .5 but all the infos read .4)

Related issues:

Related to Redmine - Defect #32327: Can not select a display specific image w... Closed

Copied to Redmine - Defect #29913: Adding image with same name as previous on... Closed 2010-01-20

History

#1 - 2010-01-21 09:17 - Felix Schäfer

- Category set to Attachments

Mmh, I was under the impression this was intentional, but I can't find a reference to some statement on that, so I'll let Eric or Jean-Philippe chime in

on that one.

#2 - 2010-01-22 15:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Indeed, this behaviour was introduced in r1939.

This is especially usefull in wiki pages when you want to update a screenshoot without having to edit the page.

#3 - 2011-01-07 11:27 - Markus Valle-Klann

- Status changed from Closed to Reopened

Hi, I just ran into the same issue with attachments having the same file name.

It seems btw that the thumbs plugin is displaying the older (original) attachments so updating wouldn't even work.

I understand the benefit of being able to update screenshots without having to update the page. But I think the disadvantage of not being able to

simply attach a file to an update and reference it without having to worry about unique file names weighs more heavily. Especially considering the

difficulties novice users are typically having.

In any case, wouldn't it be possible to resolve this in case of a file name collision by giving the user the option to 1) either really replace an existing

attachment with the same name (if that's what is intended) or 2) to make it unique and automagically update any references to this atttachment in the

update.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1939


I took the liberty of reopening this issue in the hope the update doesn't get lost... If that was against protocol, my apologies and please revert.

#4 - 2013-01-15 12:07 - Daniel Felix

- Status changed from Reopened to Closed

- Resolution changed from Wont fix to Fixed

I just checked this issue with Redmine 2.2.1.

I'm not able to reproduce this. This issue is fixed. I tested the issue modul, as described in the issue description.

#5 - 2018-11-05 17:00 - Benedikt Breinbauer

Is this really resolved?

Running into this as well. Very problematic for issue comments with embedded screenshots: the newer screenshot automatically replaces the old one

so makes the old comment confusing/useless without the old original screenshot that the comment was intended for.

Environment:

Redmine version                3.4.5.stable

Ruby version                   2.3.7-p456 (2018-03-28) [x86_64-linux]

Rails version                  4.2.8

Environment                    production

Database adapter               Mysql2

#6 - 2018-11-05 17:05 - Benedikt Breinbauer

- Copied to Defect #29913: Adding image with same name as previous one replaces embedded image added

#7 - 2018-11-05 17:05 - Benedikt Breinbauer

Can't reopen so created #29913

#8 - 2019-11-04 03:10 - Go MAEDA

- Related to Defect #32327: Can not select a display specific image when there duplicate file names added

#9 - 2020-05-21 10:03 - Justas Markauskas

I understand that it is expected behavior.  But I see that this is still problem for other people.

Is there way to write some plugin? so we can have possibility to have this in other way?

I.E. we use image which are attached to current note? or something.

This also relates with outlook emails with screenshots. (https://www.redmine.org/boards/4/topics/59294)
